Subject: Re: linux-next: build failure after merge of the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 5 Aug 2025 08:17:49 +1000

Hi Alexey,

On Mon, 4 Aug 2025 09:09:19 +0200 Alexey Gladkov <[email-masked]> wrote:
>
> On Mon, Aug 04, 2025 at 11:25:40AM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > On Wed, 30 Jul 2025 16:12:23 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > After merging the kbuild tree, today's linux-next build (i386 defconfig)
> > > failed like this:
> > > 
> > > ld: .vmlinux.export.o: in function `__ksymtab___builtin_memcmp':
> > > .vmlinux.export.c:(___ksymtab+__builtin_memcmp+0x0): undefined reference to `__builtin_memcmp'
> > > 
> > > Caused by commit
> > > 
> > >   c4b487ddc51f ("modpost: Create modalias for builtin modules")
> > > 
> > > I have reverted that commit, along with its parent and child, for
> > > today.  It's parent commit
> > > 
> > >   66ef3890c628 ("modpost: Add modname to mod_device_table alias")
> > > 
> > > generated this warning in the i386 defconfig build:
> > > 
> > > scripts/mod/file2alias.c: In function ‘handle_moddevtable’:
> > > scripts/mod/file2alias.c:1480:25: warning: variable ‘modnamelen’ set but not used [-Wunused-but-set-variable]
> > >  1480 |         size_t typelen, modnamelen;
> > >       |                         ^~~~~~~~~~  
> > 
> > I am still reverting those commits.  
> 
> I do not have my tree. Can you apply my fix for original commit instead of
> revert ?
> 
> https://lore.kernel.org/all/[email-masked]/

I did wonder why this patch has not been applied to the kbuild tree?

I will apply that today to the linux-next merge, but it is presumably
delaying the kbuild tree being merged by Linus ...

-- 
Cheers,
Stephen Rothwell